Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-gmpls-g709-framework-14.txt

From: Tomonori TAKEDA <[email-masked]>
Date: Fri, 30 Aug 2013 14:47:05 +0900

Hello, 

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see 
http://www.ietf.org/iesg/directorate/routing.html 

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft. 

Document: draft-ietf-ccamp-gmpls-g709-framework-14.txt  
Reviewer: Tomonori Takeda
Review Date: 30 August 2013 
IETF LC End Date: 02 September 2013 
Intended Status: Informational 

o Summary: 
This document describes framework for GMPLS/PCE control of OTN and impacts on GMPLS/PCE protocols. Overview of OTN is mentioned, which is helpful to understand the document.

o Comments: 
I have some minor concerns about this document that I think should be resolved before publication.
(I think these are mostly related to clarification questions.)

o Major Issues: 
No major issues found. 

o Minor Issues: 

1) In Section 5.3., it says the following requirement for GMPLS routing.
 -  Support different priorities for resource reservation

I think this is a valid requirement, but I do not think this is specific to OTN.
Does this imply the need for protocol extensions or just the usage of protocols?

2) Section 5.4., it says:

       Furthermore, since multiplexing hierarchy was not allowed 
       by the legacy OTN referenced by [RFC4328], ....

By reading RFC4328 section 2, it refers to ODU multiplexing. Am I missing something?

3) In Section 5.5., it says.

      Note that this case is supported by the procedures defined in
      [RFC3473] as a different Switching Capability/Type value is 
      used for the different control plane versions.

I am not sure which part of RFC3473 metions such procedures. Could you please point it?

o Nits: 
Section 4.1
s/Lo ODU/LO ODU/ 

Section 4.1
s/substitute/substituted

Section 5.6
s/section 5.2.1/section 5.2

Thanks,
Tomonori